FileInfo (install4j help)
Date: 2009-06-17

## install4j API documentation

## com.install4j.api.context
Interface FileInfo

    public interface FileInfo

Provides information about a file in the distribution tree. Objects of this type are returned by `Context.getDestinationFileInfo(String)`. Also, the "File filter" and "Directory resolver" handlers of the "Install files" action offer a parameter of this type. In those handlers this class is useful to filter or divert an entire installation root.

Author:
  ej-technologies GmbH

Method Summary
`java.io.File` | `getDestinationFile()` Get the actual installation location of the file.
`java.lang.String` | `getFilesetId()` Get the id of the fileset or a zero length string for the default fileset.
`java.lang.String` | `getRelativeFilePath()` Get the relative path of the file in the distribution tree without the installation root.
`java.io.File` | `getRootResolved()` Get the resolved installation root for the file.
`java.lang.String` | `getRootUnresolved()` Get the unresolved installation root for the file.

Method Detail

### getDestinationFile

    java.io.File getDestinationFile()

  Get the actual installation location of the file.

  Returns:
    the installation location

### getRootUnresolved

    java.lang.String getRootUnresolved()

  Get the unresolved installation root for the file. "Unresolved" means that no installer variables have been replaced.

  Returns:
    the unresolved root or `null` for the installation directory.

### getRootResolved

    java.io.File getRootResolved()

  Get the resolved installation root for the file. "Resolved" means that all installer variables have been replaced.

  Returns:
    the resolved root

### getRelativeFilePath

    java.lang.String getRelativeFilePath()

  Get the relative path of the file in the distribution tree without the installation root.

  Returns:
    the relative path

### getFilesetId

    java.lang.String getFilesetId()

  Get the id of the fileset or a zero length string for the default fileset.

  Returns:
    the fileset id